Skip to main content

Update an appointment

PUT 

/calendar-backend/api/v1/appointments/:id

Update an appointment.

It is not possible to update an appointment that is locked by another user.

If the calling user currently holds a lock on the appointment that lock will be released as this call ends.

(see /lock methods)

Example of usage:

curl -u user:password -i -X PUT -d '{
"start":"2017-05-30T08:00:00",
"end":"2017-05-30T08:30:00",
"resource":{"id":"1"},
"allDay":false,
"customers":[],
"services":[{"id":"1"}],
"notes":"a note",
"title":"a title",
"branch":{"id":1},
"blocking":false,
"id":{appointmentId},
"publicId":{publicId},
"custom":null
}' http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/{appointmentId}

Request​

Responses​

A Json object of com.qmatic.qp.calendar.rest.dto.AppointmentDTO